<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_102) on Tue Nov 29 02:27:11 EST 2016 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>TemplateUtils (org.eclipse.papyrus.designer.transformation.core 0.7.5-SNAPSHOT API)</title>
<meta name="date" content="2016-11-29">
<link rel="stylesheet" type="text/css" href="../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="TemplateUtils (org.eclipse.papyrus.designer.transformation.core 0.7.5-SNAPSHOT API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":9,"i1":9,"i2":9,"i3":9,"i4":9,"i5":9,"i6":9,"i7":9,"i8":9,"i9":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/TemplateUtils.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/core/templates/TemplateInstantiation.html" title="class in org.eclipse.papyrus.designer.transformation.core.templates"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/core/templates/TextTemplateBinding.html" title="class in org.eclipse.papyrus.designer.transformation.core.templates"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../index.html?org/eclipse/papyrus/designer/transformation/core/templates/TemplateUtils.html" target="_top">Frames</a></li>
<li><a href="TemplateUtils.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.eclipse.papyrus.designer.transformation.core.templates</div>
<h2 title="Class TemplateUtils" class="title">Class TemplateUtils</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.eclipse.papyrus.designer.transformation.core.templates.TemplateUtils</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">TemplateUtils</span>
extends <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/core/templates/TemplateUtils.html#TemplateUtils--">TemplateUtils</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/core/templates/TemplateUtils.html#adaptActualsToTargetModel-org.eclipse.papyrus.designer.transformation.core.transformations.LazyCopier-org.eclipse.uml2.uml.TemplateBinding-">adaptActualsToTargetModel</a></span>(<a href="../../../../../../../org/eclipse/papyrus/designer/transformation/core/transformations/LazyCopier.html" title="class in org.eclipse.papyrus.designer.transformation.core.transformations">LazyCopier</a>&nbsp;copy,
                         org.eclipse.uml2.uml.TemplateBinding&nbsp;binding)</code>
<div class="block">Adapt the actuals within the binding (which correspond either to an
 element of the source model or an imported element) to the target model.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>static org.eclipse.uml2.uml.TemplateBinding</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/core/templates/TemplateUtils.html#fixedBinding-org.eclipse.uml2.uml.Package-org.eclipse.uml2.uml.TemplateableElement-org.eclipse.uml2.uml.Classifier-">fixedBinding</a></span>(org.eclipse.uml2.uml.Package&nbsp;model,
            org.eclipse.uml2.uml.TemplateableElement&nbsp;template,
            org.eclipse.uml2.uml.Classifier&nbsp;fixedActual)</code>
<div class="block">Create a template binding by using a single, fixed actual (used within
 Qompass for the binding of container extensions depending on the component
 executor)</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>static org.eclipse.uml2.uml.Classifier</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/core/templates/TemplateUtils.html#getActualFromBinding-org.eclipse.uml2.uml.TemplateBinding-java.lang.String-">getActualFromBinding</a></span>(org.eclipse.uml2.uml.TemplateBinding&nbsp;binding,
                    <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;formalName)</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>static org.eclipse.uml2.uml.Classifier</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/core/templates/TemplateUtils.html#getActualFromBinding-org.eclipse.uml2.uml.TemplateBinding-org.eclipse.uml2.uml.Type-">getActualFromBinding</a></span>(org.eclipse.uml2.uml.TemplateBinding&nbsp;binding,
                    org.eclipse.uml2.uml.Type&nbsp;formal)</code>
<div class="block">Return the actual for a potential formal parameter within a
 templateBinding (move to TemplateUtils?)</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>static org.eclipse.uml2.uml.Classifier</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/core/templates/TemplateUtils.html#getFirstActualFromBinding-org.eclipse.uml2.uml.TemplateBinding-">getFirstActualFromBinding</a></span>(org.eclipse.uml2.uml.TemplateBinding&nbsp;binding)</code>
<div class="block">Get the first actual from the binding.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>static org.eclipse.uml2.uml.TemplateSignature</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/core/templates/TemplateUtils.html#getSignature-org.eclipse.uml2.uml.TemplateableElement-">getSignature</a></span>(org.eclipse.uml2.uml.TemplateableElement&nbsp;template)</code>
<div class="block">Get the template signature of a classifier.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>static org.eclipse.uml2.uml.TemplateSignature</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/core/templates/TemplateUtils.html#getSignatureDirect-org.eclipse.uml2.uml.TemplateableElement-">getSignatureDirect</a></span>(org.eclipse.uml2.uml.TemplateableElement&nbsp;template)</code>
<div class="block">Get the template signature of a templateable element (typically a package).</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>static org.eclipse.uml2.uml.TemplateBinding</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/core/templates/TemplateUtils.html#getSubBinding-org.eclipse.uml2.uml.Package-org.eclipse.uml2.uml.TemplateableElement-org.eclipse.uml2.uml.TemplateBinding-">getSubBinding</a></span>(org.eclipse.uml2.uml.Package&nbsp;model,
             org.eclipse.uml2.uml.TemplateableElement&nbsp;te,
             org.eclipse.uml2.uml.TemplateBinding&nbsp;existingBinding)</code>
<div class="block">create a "sub" binding in which the first parameter of type Cl is assumed
 to bind the sub-signature TODO: compared type and name of parameters in
 two signatures TODO: support more than one template parameter</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>static org.eclipse.uml2.uml.Element</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/core/templates/TemplateUtils.html#getTemplateOwner-org.eclipse.uml2.uml.Element-org.eclipse.uml2.uml.TemplateSignature-">getTemplateOwner</a></span>(org.eclipse.uml2.uml.Element&nbsp;ne,
                org.eclipse.uml2.uml.TemplateSignature&nbsp;signature)</code>&nbsp;</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.Namespace&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/core/templates/TemplateUtils.html#relativePathWithMerge-org.eclipse.uml2.uml.Element-org.eclipse.uml2.uml.Namespace-">relativePathWithMerge</a></span>(org.eclipse.uml2.uml.Element&nbsp;element,
                     org.eclipse.uml2.uml.Namespace&nbsp;searchNS)</code>
<div class="block">Return a sequence of namespaces for a given element, starting from the "bottom"
 one, i.e.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="TemplateUtils--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>TemplateUtils</h4>
<pre>public&nbsp;TemplateUtils()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getSignature-org.eclipse.uml2.uml.TemplateableElement-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSignature</h4>
<pre>public static&nbsp;org.eclipse.uml2.uml.TemplateSignature&nbsp;getSignature(org.eclipse.uml2.uml.TemplateableElement&nbsp;template)</pre>
<div class="block">Get the template signature of a classifier. If the classifier does not
 have a signature, examine if the owning class provides one</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>template</code> - The potential template</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the signature or null, if none can be found.</dd>
</dl>
</li>
</ul>
<a name="getTemplateOwner-org.eclipse.uml2.uml.Element-org.eclipse.uml2.uml.TemplateSignature-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTemplateOwner</h4>
<pre>public static&nbsp;org.eclipse.uml2.uml.Element&nbsp;getTemplateOwner(org.eclipse.uml2.uml.Element&nbsp;ne,
                                                            org.eclipse.uml2.uml.TemplateSignature&nbsp;signature)</pre>
</li>
</ul>
<a name="getSignatureDirect-org.eclipse.uml2.uml.TemplateableElement-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSignatureDirect</h4>
<pre>public static&nbsp;org.eclipse.uml2.uml.TemplateSignature&nbsp;getSignatureDirect(org.eclipse.uml2.uml.TemplateableElement&nbsp;template)</pre>
<div class="block">Get the template signature of a templateable element (typically a package). The class must
 (1) either own the signature
 (2) or merge with a package which owns the signature.
 Qompass enables the "extension" of existing packages via the package merge mechanism</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>template</code> - The potential template</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the signature or null, if none can be found.</dd>
</dl>
</li>
</ul>
<a name="fixedBinding-org.eclipse.uml2.uml.Package-org.eclipse.uml2.uml.TemplateableElement-org.eclipse.uml2.uml.Classifier-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>fixedBinding</h4>
<pre>public static&nbsp;org.eclipse.uml2.uml.TemplateBinding&nbsp;fixedBinding(org.eclipse.uml2.uml.Package&nbsp;model,
                                                                org.eclipse.uml2.uml.TemplateableElement&nbsp;template,
                                                                org.eclipse.uml2.uml.Classifier&nbsp;fixedActual)
                                                         throws <a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.transformation/org.eclipse.papyrus.designer.transformation.base/apidocs/org/eclipse/papyrus/designer/transformation/base/utils/TransformationException.html?is-external=true" title="class or interface in org.eclipse.papyrus.designer.transformation.base.utils">TransformationException</a></pre>
<div class="block">Create a template binding by using a single, fixed actual (used within
 Qompass for the binding of container extensions depending on the component
 executor)</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>model</code> - : target model in which to create the bound package</dd>
<dd><code>template</code> - </dd>
<dd><code>fixedActual</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.transformation/org.eclipse.papyrus.designer.transformation.base/apidocs/org/eclipse/papyrus/designer/transformation/base/utils/TransformationException.html?is-external=true" title="class or interface in org.eclipse.papyrus.designer.transformation.base.utils">TransformationException</a></code></dd>
</dl>
</li>
</ul>
<a name="getSubBinding-org.eclipse.uml2.uml.Package-org.eclipse.uml2.uml.TemplateableElement-org.eclipse.uml2.uml.TemplateBinding-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSubBinding</h4>
<pre>public static&nbsp;org.eclipse.uml2.uml.TemplateBinding&nbsp;getSubBinding(org.eclipse.uml2.uml.Package&nbsp;model,
                                                                 org.eclipse.uml2.uml.TemplateableElement&nbsp;te,
                                                                 org.eclipse.uml2.uml.TemplateBinding&nbsp;existingBinding)
                                                          throws <a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.transformation/org.eclipse.papyrus.designer.transformation.base/apidocs/org/eclipse/papyrus/designer/transformation/base/utils/TransformationException.html?is-external=true" title="class or interface in org.eclipse.papyrus.designer.transformation.base.utils">TransformationException</a></pre>
<div class="block">create a "sub" binding in which the first parameter of type Cl is assumed
 to bind the sub-signature TODO: compared type and name of parameters in
 two signatures TODO: support more than one template parameter</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>model</code> - </dd>
<dd><code>te</code> - </dd>
<dd><code>existingBinding</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.transformation/org.eclipse.papyrus.designer.transformation.base/apidocs/org/eclipse/papyrus/designer/transformation/base/utils/TransformationException.html?is-external=true" title="class or interface in org.eclipse.papyrus.designer.transformation.base.utils">TransformationException</a></code></dd>
</dl>
</li>
</ul>
<a name="adaptActualsToTargetModel-org.eclipse.papyrus.designer.transformation.core.transformations.LazyCopier-org.eclipse.uml2.uml.TemplateBinding-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>adaptActualsToTargetModel</h4>
<pre>public static&nbsp;void&nbsp;adaptActualsToTargetModel(<a href="../../../../../../../org/eclipse/papyrus/designer/transformation/core/transformations/LazyCopier.html" title="class in org.eclipse.papyrus.designer.transformation.core.transformations">LazyCopier</a>&nbsp;copy,
                                             org.eclipse.uml2.uml.TemplateBinding&nbsp;binding)</pre>
<div class="block">Adapt the actuals within the binding (which correspond either to an
 element of the source model or an imported element) to the target model.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>sat</code> - </dd>
<dd><code>binding</code> - </dd>
</dl>
</li>
</ul>
<a name="getActualFromBinding-org.eclipse.uml2.uml.TemplateBinding-org.eclipse.uml2.uml.Type-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getActualFromBinding</h4>
<pre>public static&nbsp;org.eclipse.uml2.uml.Classifier&nbsp;getActualFromBinding(org.eclipse.uml2.uml.TemplateBinding&nbsp;binding,
                                                                   org.eclipse.uml2.uml.Type&nbsp;formal)</pre>
<div class="block">Return the actual for a potential formal parameter within a
 templateBinding (move to TemplateUtils?)</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>binding</code> - a template binding</dd>
<dd><code>formal</code> - a potential formal parameter, i.e. a parameter for which we
            check, if it really corresponds to a formal parameter within
            the template binding.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the actual parameter that is associated with the potential formal
         parameter, or null if the 2nd parameter does not correspond to a
         formal parameter of the binding.</dd>
</dl>
</li>
</ul>
<a name="getActualFromBinding-org.eclipse.uml2.uml.TemplateBinding-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getActualFromBinding</h4>
<pre>public static&nbsp;org.eclipse.uml2.uml.Classifier&nbsp;getActualFromBinding(org.eclipse.uml2.uml.TemplateBinding&nbsp;binding,
                                                                   <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;formalName)</pre>
</li>
</ul>
<a name="getFirstActualFromBinding-org.eclipse.uml2.uml.TemplateBinding-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFirstActualFromBinding</h4>
<pre>public static&nbsp;org.eclipse.uml2.uml.Classifier&nbsp;getFirstActualFromBinding(org.eclipse.uml2.uml.TemplateBinding&nbsp;binding)</pre>
<div class="block">Get the first actual from the binding.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>binding</code> - the template binding</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the first actual.</dd>
</dl>
</li>
</ul>
<a name="relativePathWithMerge-org.eclipse.uml2.uml.Element-org.eclipse.uml2.uml.Namespace-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>relativePathWithMerge</h4>
<pre>public static&nbsp;org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.Namespace&gt;&nbsp;relativePathWithMerge(org.eclipse.uml2.uml.Element&nbsp;element,
                                                                                                      org.eclipse.uml2.uml.Namespace&nbsp;searchNS)</pre>
<div class="block">Return a sequence of namespaces for a given element, starting from the "bottom"
 one, i.e. the one in which the element is contained. It will end before the
 searchNS namespace is reached. Returns null, if the element is not contained
 within the search namespace.
 This function will put a merged package into the path (instead of the owner), enabling
 the extension of existing packages.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>element</code> - </dd>
<dd><code>searchNS</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/TemplateUtils.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/core/templates/TemplateInstantiation.html" title="class in org.eclipse.papyrus.designer.transformation.core.templates"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/core/templates/TextTemplateBinding.html" title="class in org.eclipse.papyrus.designer.transformation.core.templates"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../index.html?org/eclipse/papyrus/designer/transformation/core/templates/TemplateUtils.html" target="_top">Frames</a></li>
<li><a href="TemplateUtils.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2016 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
